<a href="https://www.telerik.com/kendo-angular-ui/" target="_blank">
<img width="631" src="https://demos.telerik.com/kendo-angular-ui/assets/banner/npm-banner.svg">
</a>

## Kendo UI for Angular Sortable Component

> * This package is part of [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui)&mdash;a commercial library designed and built for developing business applications with Angular. Every UI component in the Kendo UI for Angular suite has been built from the ground-up specifically for Angular.
> * You must [install a license key](https://www.telerik.com/kendo-angular-ui/my-license) when adding the package to your project. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or register for a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * The 30-day free trial gives you access to all the Kendo UI for Angular components and their full functionality. Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular dev team!
>
> [Start using Kendo UI for Angular](https://www.telerik.com/download-login-v2-kendo-angular-ui) and speed up your development process!

## Angular Sortable Component

The [Kendo UI for Angular Sortable](https://www.telerik.com/kendo-angular-ui/components/sortable) is a component for dragging and dropping an element within a list to a new location within that list while the rest of the items correspondingly reorder.

## Key Features

Among the many features which the Kendo UI for Angular Sortable delivers are:

* [Data Binding](https://www.telerik.com/kendo-angular-ui/components/sortable/binding)&mdash;You can bind the Sortable to an array of strings or objects, or utilize the built-in directive, which cuts down the repetitive boilerplate code and simplifies the handling of data operations.
* [Managing the Items](https://www.telerik.com/kendo-angular-ui/components/sortable/items)&mdash;You can choose to render Sortable items in their disabled state so that, if need be present, users will not be able to interact with them.
* [Templates](https://www.telerik.com/kendo-angular-ui/components/sortable/templates)&mdash;You can visually customize the content, color, structure, and the general look and feel of the Sortable by implementing templates in the component.
* [Accessibility](https://www.telerik.com/kendo-angular-ui/components/sortable/accessibility)&mdash;The Sortable is accessible for screen readers and supports WAI-ARIA attributes.
* [Globalization](https://www.telerik.com/kendo-angular-ui/components/sortable/globalization)&mdash;The Sortable supports globalization to ensure that it can fit well in any application, no matter what languages and locales need to be supported. Additionally, the Sortable supports rendering in a right-to-left (RTL) direction.
* [Keyboard Navigation](https://www.telerik.com/kendo-angular-ui/components/sortable/keyboard-navigation)&mdash;The Sortable supports a number of keyboard shortcuts which allows users to accomplish various commands.

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular Sortable, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-tickets).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular Sortable](https://www.telerik.com/kendo-angular-ui/components/sortable/installation/getting-started)
* [Sortable Overview page](https://www.telerik.com/kendo-angular-ui/components/sortable) and [Sortable API reference](https://www.telerik.com/kendo-angular-ui/components/sortable/api)
* [Kendo UI for Angular roadmap](https://www.telerik.com/kendo-angular-ui/roadmap)
* [Blogs](http://www.telerik.com/blogs/kendo-ui)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)

*Copyright © 2025 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
