/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from './preventable-event';
import { DataEvent } from './data-event-args.interface';
/**
 * Represents the arguments for the `SortableComponent` `dataAdd` event.
 */
export declare class DataAddEvent extends PreventableEvent implements DataEvent {
    /**
     * Specifies the index of the data item.
     */
    index: number;
    /**
     * Specifies the data item to add.
     */
    dataItem: number;
    /**
     * @hidden
     */
    constructor(options: any);
}
/**
 * Represents the arguments for the `SortableComponent` `dataRemove` event.
 */
export declare class DataRemoveEvent extends PreventableEvent implements DataEvent {
    /**
     * Specifies the index of the data item.
     */
    index: number;
    /**
     * Specifies the data item to remove.
     */
    dataItem: number;
    /**
     * @hidden
     */
    constructor(options: any);
}
/**
 * Represents the arguments for the `SortableComponent` `dataMove` event.
 */
export declare class DataMoveEvent extends PreventableEvent implements DataEvent {
    /**
     * Specifies the index of the data item.
     */
    index: number;
    /**
     * Specifies the old index of the data item.
     */
    oldIndex: number;
    /**
     * Specifies the data item to move.
     */
    dataItem: number;
    /**
     * @hidden
     */
    constructor(options: any);
}
