/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from './preventable-event';
import { DraggableDirective } from './draggable.directive';
/**
 * Represents the arguments for the `DraggableDirective` events.
 * @hidden
 */
export declare class DraggableEvent extends PreventableEvent {
    /**
     * Specifies the target `DraggableDirective` instance.
     */
    target: DraggableDirective;
    /**
     * Specifies the browser event emitted by the target's native element.
     */
    originalEvent: any;
    /**
     * @hidden
     */
    constructor(options: any);
}
