/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ElementRef, OnInit, Renderer2 } from '@angular/core';
import { SortableContainer } from './sortable-container';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare class DraggableDirective implements OnInit {
    parent: SortableContainer;
    el: ElementRef;
    private renderer;
    index: number;
    disabled: boolean;
    set hidden(value: boolean);
    get hidden(): boolean;
    _hidden: any;
    get _focused(): boolean;
    get _disabled(): boolean;
    get display(): string;
    set display(display: string);
    private _display;
    constructor(parent: SortableContainer, el: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    private updateDisplayStyle;
    static ɵfac: i0.ɵɵFactoryDeclaration<DraggableDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DraggableDirective, "[kendoDraggable]", never, { "index": { "alias": "index"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "hidden": { "alias": "hidden"; "required": false; }; }, {}, never, never, true, never>;
}
