/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from './preventable-event';
/**
 * Represents the arguments for the `DraggableDirective` events.
 * @hidden
 */
export class DraggableEvent extends PreventableEvent {
    /**
     * Specifies the target `DraggableDirective` instance.
     */
    target;
    /**
     * Specifies the browser event emitted by the target's native element.
     */
    originalEvent; //DragEvent | TouchEvent;
    /**
     * @hidden
     */
    constructor(options) {
        super();
        Object.assign(this, options);
    }
}
