/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from './preventable-event';
/**
 * Represents the event arguments for the `navigate` event, which is emitted when you use the keyboard arrows.
 */
export class NavigateEvent extends PreventableEvent {
    /**
     * Specifies the index of the draggable item.
     */
    index;
    /**
     * Specifies the old index of the draggable item.
     */
    oldIndex;
    /**
     * Indicates whether the `Ctrl` or meta keys are pressed.
     */
    ctrlKey;
    /**
     * @hidden
     */
    constructor(options) {
        super();
        Object.assign(this, options);
    }
}
