/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NgModule } from '@angular/core';
import { SortableService } from "./sortable.service";
import { KENDO_SORTABLE } from './directives';
import * as i0 from "@angular/core";
import * as i1 from "./sortable.component";
import * as i2 from "./draggable.directive";
import * as i3 from "./item-template.directive";
import * as i4 from "./binding.directive";
//IMPORTANT: NgModule export kept for backwards compatibility
/**
 * Represents the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) definition for the Sortable component.
 *
 * @example
 * ```typescript
 * import { NgModule } from '@angular/core';
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 * import { SortableModule } from '@progress/kendo-angular-sortable';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, SortableModule],
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export class SortableModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SortableModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: SortableModule, imports: [i1.SortableComponent, i2.DraggableDirective, i3.PlaceholderTemplateDirective, i3.ItemTemplateDirective, i4.SortableBindingDirective], exports: [i1.SortableComponent, i2.DraggableDirective, i3.PlaceholderTemplateDirective, i3.ItemTemplateDirective, i4.SortableBindingDirective] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SortableModule, providers: [SortableService] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SortableModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [...KENDO_SORTABLE],
                    exports: [...KENDO_SORTABLE],
                    providers: [SortableService]
                }]
        }] });
