/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from './preventable-event';
import { SortableEvent } from './sortable-event-args.interface';
/**
 * Represents the event arguments for the `navigate` event, which is emitted when you use the keyboard arrows.
 */
export declare class NavigateEvent extends PreventableEvent implements SortableEvent {
    /**
     * Specifies the index of the draggable item.
     */
    index: number;
    /**
     * Specifies the old index of the draggable item.
     */
    oldIndex: number;
    /**
     * Indicates whether the `Ctrl` or meta keys are pressed.
     */
    ctrlKey: boolean;
    /**
     * @hidden
     */
    constructor(options: any);
}
