/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./sortable.component";
import * as i2 from "./draggable.directive";
import * as i3 from "./item-template.directive";
import * as i4 from "./binding.directive";
/**
 * Represents the [`NgModule`](link:site.data.urls.angular['ngmoduleapi']) definition for the Sortable component.
 *
 * @example
 * ```typescript
 * import { NgModule } from '@angular/core';
 * import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
 * import { SortableModule } from '@progress/kendo-angular-sortable';
 * import { AppComponent } from './app.component';
 *
 * @NgModule({
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, SortableModule],
 *     bootstrap:    [AppComponent]
 * })
 * export class AppModule {}
 * ```
 */
export declare class SortableModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<SortableModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<SortableModule, never, [typeof i1.SortableComponent, typeof i2.DraggableDirective, typeof i3.PlaceholderTemplateDirective, typeof i3.ItemTemplateDirective, typeof i4.SortableBindingDirective], [typeof i1.SortableComponent, typeof i2.DraggableDirective, typeof i3.PlaceholderTemplateDirective, typeof i3.ItemTemplateDirective, typeof i4.SortableBindingDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<SortableModule>;
}
